net.i2p.router.web.helpers

## Class SybilRenderer

- java.lang.Object
- - net.i2p.router.web.helpers.SybilRenderer

-     public class SybilRenderer
      extends Object

  Renders Sybil attack analysis and detection information for debugging. Displays router relationships, clustering analysis, and potential attack patterns. Provides visualization of network topology and security metrics. Adapted from NetDbRenderer; may become periodic router monitor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SybilRenderer(RouterContext ctx)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNetDbSummary(Writer out, String nonce, int mode, long date)` Entry point
    `static void` | `renderSybilHTML(Writer out, RouterContext ctx, List<Hash> sybils, String victim)` Called from NetDbRenderer

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SybilRenderer

          public SybilRenderer(RouterContext ctx)

  - ### Method Detail

    - #### getNetDbSummary

          public String getNetDbSummary(Writer out,
                                        String nonce,
                                        int mode,
                                        long date)
                                 throws IOException

      Entry point
      Parameters:
        `mode` - what tab to show
        `date` - only for mode = 12
      Throws:
        `IOException`

    - #### renderSybilHTML

          public static void renderSybilHTML(Writer out,
                                             RouterContext ctx,
                                             List<Hash> sybils,
                                             String victim)
                                      throws IOException

      Called from NetDbRenderer
      Throws:
        `IOException`